"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a cloneable copy of the given file.
 * @internal
 */
function cloneFile(file) {
    let transferList;
    let clone = { ...file };
    let { contents } = file;
    if (contents && contents.byteLength === contents.buffer.byteLength) {
        // The contents buffer has its own ArrayBuffer (as opposed to a slice of a shared ArrayBuffer).
        // So it's safe to transfer the entire ArrayBuffer across the thread boundary.
        transferList = [contents.buffer];
    }
    return [clone, transferList];
}
exports.cloneFile = cloneFile;
//# sourceMappingURL=clone-file.js.map